Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(393)

Issue 1108293002: Make DOMImplementation.hasFeature() always return true. (Closed)

Created:
5 years, 2 months ago by Erik Dahlström (inactive)
Modified:
5 years, 2 months ago
CC:
blink-reviews, ed+blinkwatch_opera.com, krit, arv+blink, vivekg, sof, eae+blinkwatch, fs, kouhei+svg_chromium.org, blink-reviews-dom_chromium.org, dglazkov+blink, vivekg_samsung, Inactive, gyuyoung2, f(malita), Stephen Chennney, pdr+svgwatchlist_chromium.org, rwlbuis
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Target Ref:
refs/heads/master
Project:
blink
Visibility:
Public.

Description

Patch Set 1 #

Patch Set 2 : drop unused code #

Patch Set 3 : test fixups #

Total comments: 1

Patch Set 4 : hasFeature arguments-- #

Patch Set 5 : fix tests #

Total comments: 4

Patch Set 6 : windows compilefix attempt #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -1857 lines) Patch
M LayoutTests/TestExpectations View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M LayoutTests/fast/dom/DOMImplementation/missing-arguments.html View 1 2 3 4 1 chunk +1 line, -3 lines 0 comments Download
M LayoutTests/fast/dom/DOMImplementation/missing-arguments-expected.txt View 1 2 3 4 1 chunk +0 lines, -2 lines 0 comments Download
D LayoutTests/svg/animations/svg-tests-on-smil-elements.html View 1 2 1 chunk +0 lines, -11 lines 0 comments Download
D LayoutTests/svg/animations/svg-tests-on-smil-elements-expected.html View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
D LayoutTests/svg/custom/outer-svg-unknown-feature.svg View 1 2 1 chunk +0 lines, -3 lines 0 comments Download
D LayoutTests/svg/custom/outer-svg-unknown-feature-expected.png View 1 2 Binary file 0 comments Download
D LayoutTests/svg/custom/outer-svg-unknown-feature-expected.txt View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
D LayoutTests/svg/custom/required-feature-vs-has-feature.svg View 1 2 1 chunk +0 lines, -17 lines 0 comments Download
D LayoutTests/svg/custom/required-feature-vs-has-feature-expected.svg View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M LayoutTests/svg/custom/svg-features-expected.txt View 1 2 3 chunks +13 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGCircleElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGCircleElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGCircleElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGCircleElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGEllipseElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGEllipseElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGEllipseElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGEllipseElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGForeignObjectElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGForeignObjectElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGForeignObjectElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGForeignObjectElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGGElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGGElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGGElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGGElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGImageElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGImageElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGImageElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGImageElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGLineElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGLineElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGLineElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGLineElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -23 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPathElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPathElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPathElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPathElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPolygonElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPolygonElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPolygonElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPolygonElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPolylineElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPolylineElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPolylineElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGPolylineElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGRectElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGRectElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGRectElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGRectElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGSVGElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGSVGElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -16 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGSVGElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGSVGElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -16 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGTextElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGTextElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -16 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGTextElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGTextElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -16 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGUseElement-dom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGUseElement-dom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGUseElement-svgdom-requiredFeatures.html View 1 2 1 chunk +0 lines, -14 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/SVGUseElement-svgdom-requiredFeatures-expected.txt View 1 2 1 chunk +0 lines, -21 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGCircleElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGCircleElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGEllipseElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGEllipseElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGForeignObjectElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGForeignObjectElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -34 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGGElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -31 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGGElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -31 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGImageElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGImageElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGLineElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGLineElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -33 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGPathElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGPathElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGPolygonElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGPolygonElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGPolylineElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGPolylineElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGRectElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGRectElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -29 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGSVGElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -26 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGSVGElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -26 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGTextElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGTextElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -28 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGUseElement-dom-requiredFeatures.js View 1 2 1 chunk +0 lines, -35 lines 0 comments Download
D LayoutTests/svg/dynamic-updates/script-tests/SVGUseElement-svgdom-requiredFeatures.js View 1 2 1 chunk +0 lines, -35 lines 0 comments Download
M Source/core/dom/DOMImplementation.h View 1 2 3 4 5 1 chunk +1 line, -2 lines 0 comments Download
M Source/core/dom/DOMImplementation.cpp View 1 1 chunk +0 lines, -112 lines 0 comments Download
M Source/core/dom/DOMImplementation.idl View 1 2 3 1 chunk +2 lines, -3 lines 0 comments Download
M Source/core/frame/UseCounter.cpp View 1 chunk +0 lines, -3 lines 0 comments Download
M Source/core/svg/SVGTests.cpp View 1 chunk +1 line, -13 lines 0 comments Download

Messages

Total messages: 19 (6 generated)
Erik Dahlström (inactive)
PTAL
5 years, 2 months ago (2015-04-29 07:12:25 UTC) #2
philipj_slow
In the blink-dev thread I meant that we would just change the return value while ...
5 years, 2 months ago (2015-04-29 08:32:11 UTC) #3
pdr.
On 2015/04/29 at 08:32:11, philipj wrote: > In the blink-dev thread I meant that we ...
5 years, 2 months ago (2015-04-29 22:02:48 UTC) #4
kouhei (in TOK)
lgtm
5 years, 2 months ago (2015-04-29 22:04:43 UTC) #6
philipj_slow
LGTM it is, I'm happy to see this go. The two-step removal would leave a ...
5 years, 2 months ago (2015-04-29 22:16:02 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1108293002/80001
5 years, 2 months ago (2015-04-30 07:07:20 UTC) #9
commit-bot: I haz the power
Try jobs failed on following builders: win_blink_compile_dbg on tryserver.blink (JOB_FAILED, http://build.chromium.org/p/tryserver.blink/builders/win_blink_compile_dbg/builds/44186)
5 years, 2 months ago (2015-04-30 07:29:05 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1108293002/100001
5 years, 2 months ago (2015-04-30 10:35:15 UTC) #14
philipj_slow
Oops, had these drafts I meant to send this morning. https://codereview.chromium.org/1108293002/diff/80001/Source/core/dom/DOMImplementation.h File Source/core/dom/DOMImplementation.h (right): https://codereview.chromium.org/1108293002/diff/80001/Source/core/dom/DOMImplementation.h#newcode58 ...
5 years, 2 months ago (2015-04-30 13:05:23 UTC) #15
commit-bot: I haz the power
Committed patchset #6 (id:100001) as https://src.chromium.org/viewvc/blink?view=rev&revision=194736
5 years, 2 months ago (2015-04-30 13:10:33 UTC) #16
Erik Dahlström (inactive)
https://codereview.chromium.org/1108293002/diff/80001/Source/core/dom/DOMImplementation.h File Source/core/dom/DOMImplementation.h (right): https://codereview.chromium.org/1108293002/diff/80001/Source/core/dom/DOMImplementation.h#newcode58 Source/core/dom/DOMImplementation.h:58: static bool hasFeature() { return true; } On 2015/04/30 ...
5 years, 2 months ago (2015-04-30 13:23:47 UTC) #17
joecool
Are you aiming for M43 or M44? On Wednesday, April 29, 2015 at 12:12:25 AM ...
5 years, 2 months ago (2015-04-30 15:56:08 UTC) #18
philipj_slow
5 years, 2 months ago (2015-05-01 07:50:36 UTC) #19
Message was sent while issue was closed.
hasFeature() will always return true starting with M44, unless of course
there's a problem that requires the change to be reverted.

On Thu, Apr 30, 2015 at 5:56 PM, Joe Medley <jmedley@google.com> wrote:

> Are you aiming for M43 or M44?
>
> On Wednesday, April 29, 2015 at 12:12:25 AM UTC-7, e...@opera.com wrote:
>>
>> Reviewers: pdr, philipj_UTC2,
>>
>> Message:
>> PTAL
>>
>> Description:
>> Make DOMImplementation.hasFeature() always return true.
>>
>> BUG=429536
>>
>> Please review this at https://codereview.chromium.org/1108293002/
>>
>> Base URL: https://chromium.googlesource.com/chromium/blink.git@master
>>
>> Affected files (+18, -1850 lines):
>>    M LayoutTests/TestExpectations
>>    D LayoutTests/svg/animations/svg-tests-on-smil-elements.html
>>    D LayoutTests/svg/animations/svg-tests-on-smil-elements-expected.html
>>    D LayoutTests/svg/custom/outer-svg-unknown-feature.svg
>>    D LayoutTests/svg/custom/outer-svg-unknown-feature-expected.png
>>    D LayoutTests/svg/custom/outer-svg-unknown-feature-expected.txt
>>    D LayoutTests/svg/custom/required-feature-vs-has-feature.svg
>>    D LayoutTests/svg/custom/required-feature-vs-has-feature-expected.svg
>>    M LayoutTests/svg/custom/svg-features-expected.txt
>>    D
>> LayoutTests/svg/dynamic-updates/SVGCircleElement-dom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGCircleElement-dom-requiredFeatures-expected.txt
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGCircleElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGCircleElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGEllipseElement-dom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGEllipseElement-dom-requiredFeatures-expected.txt
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGEllipseElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGEllipseElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGForeignObjectElement-dom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGForeignObjectElement-dom-requiredFeatures-expected.txt
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGForeignObjectElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGForeignObjectElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGGElement-dom-requiredFeatures.html
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGGElement-dom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGGElement-svgdom-requiredFeatures.html
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGGElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGImageElement-dom-requiredFeatures.html
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGImageElement-dom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGImageElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGImageElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGLineElement-dom-requiredFeatures.html
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGLineElement-dom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGLineElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGLineElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGPathElement-dom-requiredFeatures.html
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGPathElement-dom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGPathElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGPathElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGPolygonElement-dom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGPolygonElement-dom-requiredFeatures-expected.txt
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGPolygonElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGPolygonElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGPolylineElement-dom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGPolylineElement-dom-requiredFeatures-expected.txt
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGPolylineElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGPolylineElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGRectElement-dom-requiredFeatures.html
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGRectElement-dom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGRectElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGRectElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGSVGElement-dom-requiredFeatures.html
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGSVGElement-dom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGSVGElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGSVGElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGTextElement-dom-requiredFeatures.html
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGTextElement-dom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGTextElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGTextElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGUseElement-dom-requiredFeatures.html
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGUseElement-dom-requiredFeatures-expected.txt
>>
>>    D
>> LayoutTests/svg/dynamic-updates/SVGUseElement-svgdom-requiredFeatures.html
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/SVGUseElement-svgdom-requiredFeatures-expected.txt
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGCircleElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGCircleElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGEllipseElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGEllipseElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGForeignObjectElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGForeignObjectElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGGElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGGElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGImageElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGImageElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGLineElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGLineElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGPathElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGPathElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGPolygonElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGPolygonElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGPolylineElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGPolylineElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGRectElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGRectElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGSVGElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGSVGElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGTextElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGTextElement-svgdom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGUseElement-dom-requiredFeatures.js
>>
>>    D
>>
LayoutTests/svg/dynamic-updates/script-tests/SVGUseElement-svgdom-requiredFeatures.js
>>
>>    M Source/core/dom/DOMImplementation.h
>>    M Source/core/dom/DOMImplementation.cpp
>>    M Source/core/dom/DOMImplementation.idl
>>    M Source/core/frame/UseCounter.cpp
>>    M Source/core/svg/SVGTests.cpp
>>
>>
>>

To unsubscribe from this group and stop receiving emails from it, send an email
to blink-reviews+unsubscribe@chromium.org.

Powered by Google App Engine
This is Rietveld 408576698